curl -X POST 'https://crypto-api.yativo.com/api/authentication/registration' \
-H 'Content-Type: application/json' \
-d '{
"email": "user@example.com",
"password": "securepassword123",
"username": "cryptouser",
"first_name": "Jane",
"last_name": "Doe"
}'
{
"status": "success",
"message": "Registration successful",
"data": {
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"user": {
"id": "usr_01HX9KZMB3F7VNQP8R2WDGT4E5",
"email": "user@example.com",
"username": "cryptouser",
"first_name": "Jane",
"last_name": "Doe",
"created_at": "2026-03-26T12:00:00Z"
}
}
}
Create a new user account and receive authentication tokens
curl -X POST 'https://crypto-api.yativo.com/api/authentication/registration' \
-H 'Content-Type: application/json' \
-d '{
"email": "user@example.com",
"password": "securepassword123",
"username": "cryptouser",
"first_name": "Jane",
"last_name": "Doe"
}'
{
"status": "success",
"message": "Registration successful",
"data": {
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"user": {
"id": "usr_01HX9KZMB3F7VNQP8R2WDGT4E5",
"email": "user@example.com",
"username": "cryptouser",
"first_name": "Jane",
"last_name": "Doe",
"created_at": "2026-03-26T12:00:00Z"
}
}
}
curl -X POST 'https://crypto-api.yativo.com/api/authentication/registration' \
-H 'Content-Type: application/json' \
-d '{
"email": "user@example.com",
"password": "securepassword123",
"username": "cryptouser",
"first_name": "Jane",
"last_name": "Doe"
}'
{
"status": "success",
"message": "Registration successful",
"data": {
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"user": {
"id": "usr_01HX9KZMB3F7VNQP8R2WDGT4E5",
"email": "user@example.com",
"username": "cryptouser",
"first_name": "Jane",
"last_name": "Doe",
"created_at": "2026-03-26T12:00:00Z"
}
}
}